[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: openLdap ucdata error

--On Wednesday, October 15, 2003 11:28 AM +0200 Mikael Grehn <mikael@envilogg.se> wrote:

I downloaded openldap 2.1.22 (with Berkeley db-4.0.14 and
cyrus-sasl-1.5.28 and regex) , have relinked the backend (to mySQL with
specific interface).
Also updated schema files (core.schema) and slapd.conf.
The project compiles and everything seems to work until I try and start
slapd...then it complains about ucdata files?(error -127)
(I could note that I am using 2.0.25 right now and that works perfectly)

I checked the archive and some other people seem to been having the same
problem...but they didn't get any reply.

Am I missing some ucdata files here or what am I doing wrong?
Are there any updated build/install notes for 2.1.22 (I only know of the
ones for 2.0.25 at http://www.fivesight.com/downloads/openldap.asp#HOWTO)

Greatful for any help or hints.


OpenLDAP 2.1 requires Cyrus-SASL 2.1.x if you are using SASL, and Berkeley BDB 4.1.x if you are using that for your backend. You may want to update your BDB & Cyrus-SASL versions.


Quanah Gibson-Mount
Principal Software Developer
ITSS/TSS/Computing Systems
ITSS/TSS/Infrastructure Operations
Stanford University
GnuPG Public Key: http://www.stanford.edu/~quanah/pgp.html